## org.eclipse.datatools.modelbase.sql.query
Interface SuperGroupElementSublist

All Superinterfaces:
  SQLObject, SQLQueryObject, SuperGroupElement

All Known Implementing Classes:
  SuperGroupElementSublistImpl

public interface SuperGroupElementSublist
extends SuperGroupElement

A representation of the model object 'SQL Super Group Element Sublist'.

The following features are supported:

- `Super Group Element Expr List`

See Also:
  `SQLQueryModelPackage.getSuperGroupElementSublist()`

Method Summary
`EList` `getSuperGroupElementExprList()` Returns the value of the 'Super Group Element Expr List' containment reference list.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SuperGroupElement
`getSuperGroup, setSuperGroup`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getSuperGroupElementExprList

    public EList getSuperGroupElementExprList()

  Returns the value of the 'Super Group Element Expr List' containment reference list. The list contents are of type `SuperGroupElementExpression`. It is bidirectional and its opposite is '`Super Group Element Sublist`'.

  If the meaning of the 'Super Group Element Expr List' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Super Group Element Expr List' containment reference list.
  See Also:
    `SQLQueryModelPackage.getSuperGroupElementSublist_SuperGroupElementExprList()`, `SuperGroupElementExpression.getSuperGroupElementSublist()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.